/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_OCOR                                                     */
/* Tabela : OCORRENCIA                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 05/07/2001 - Newton Neves dos Santos                                       */
/*                                                                            */
/******************************************************************************/


CREATE OR REPLACE TRIGGER DTULTATU_OCOR
BEFORE INSERT OR UPDATE OR DELETE
ON OCORRENCIA FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUOCOR := SYSDATE;
   END IF;
   IF UPDATING THEN
      :NEW.DTULTATUOCOR := SYSDATE;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('OCORRENCIA', '', 'CDGRPOCOR='||:OLD.CDGRPOCOR||';CDOCORR='||:OLD.CDOCORR||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE OCORRENCIA MODIFY DTULTATUOCOR DEFAULT SYSDATE
/

UPDATE OCORRENCIA SET DTULTATUOCOR = SYSDATE WHERE DTULTATUOCOR IS NULL
/

